FlxpointAPI Help CenterBeta

Get Source Invoices

gethttps://api.flxpoint.com/source-invoices

Use this when you want to pull source invoice data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint lists source invoices. The returned invoices will always be sorted by their `insertedAt` time ascending (oldest first).

Request

Query parameters
  • filterPurchaseOrderIdqueryinteger

    Filter to only include invoices of a specific PO

  • filterCreatedAfterquerystring (date-time)

    Filter to only include invoices created after a specific date-time

  • filterSourceIdqueryinteger

    Filter to only include invoices from a particular source. When using a source token this value will be ignored as it will be implicit to use the source tokens source ID

  • isAccountingSyncedqueryboolean

    Filter to only include invoices that have been synced to an Accounting Integration

  • isForSyncedAccountingPurchaseOrderqueryboolean

    Filter to only include those tied to purchase orders that have been synced to an Accounting Integration. Does not relate to the whether or not the invoice has been synced.

  • filterPageNumberqueryinteger

    Current Page

  • filterPageSizequeryinteger

    Number of entries per page

  • idsqueryarray[integer]

    Finds elements matching these IDs. Max 50

  • hasAccountingSyncErrorqueryboolean

    Filters returned "invoices" based on whether they encountered an accounting sync error during channel synchronization.

Example request

get/source-invoices
curl -X GET "https://api.flxpoint.com/source-invoices" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[Invoice]
idinteger
invoiceStatusobject
namestring
allowedUnpaidPaidCreditedRefunded
handlestring
allowedunpaidpaidcreditedrefunded
insertedAtstring (date-time)
updatedAtstring (date-time)
purchaseOrderIdinteger
this field is deprecated, please use `fulfillmentRequestId`. The two fields are same.
fulfillmentRequestIdinteger
rmaIdinteger
sourceIdinteger
purchaseOrderNumberstring
this field is deprecated, please start using `fulfillmentRequestNumber`. The two fields are essentially same.
fulfillmentRequestNumberstring
invoiceNumberstring
invoiceDatestring (date-time)
totalCostnumber
totalProductCostnumber
totalShippingCostnumber
totalFeeCostnumber
totalTaxCostnumber
totalOtherCostnumber
totalQuantityinteger
accountingSyncedboolean
accountingSyncErrorstring
externalAccountingIdstring
invoiceItemsarray[InvoiceItem]
idinteger
invoiceIdinteger
invoiceItemTypeobjectrequired
namestring
allowedProductShippingFeeTaxOther
handlestring
allowedproductshippingfeetaxother
sourceVariantIdinteger (int64)
costnumber
skustringrequired
titlestring
quantityinteger
perUnitCostnumber
externalAccountingItemIdstring
customFieldsarray[Source Invoice Custom Field]
idinteger
namestring
valuestring
totalCreditCostnumber
customFieldsarray[Source Invoice Custom Field]
idinteger
namestring
valuestring
commissionnumberdeprecated
vendorPayoutIdinteger
Example response
[
  {
    "id": 0,
    "invoiceStatus": {
      "name": "Unpaid",
      "handle": "unpaid"
    },
    "insertedAt": "2026-04-20T00:00:00Z",
    "updatedAt": "2026-04-20T00:00:00Z",
    "purchaseOrderId": 0,
    "fulfillmentRequestId": 0,
    "rmaId": 0,
    "sourceId": 0,
    "purchaseOrderNumber": "string",
    "fulfillmentRequestNumber": "string",
    "invoiceNumber": "string",
    "invoiceDate": "2026-04-20T00:00:00Z",
    "totalCost": 0,
    "totalProductCost": 0,
    "totalShippingCost": 0,
    "totalFeeCost": 0,
    "totalTaxCost": 0,
    "totalOtherCost": 0,
    "totalQuantity": 0,
    "accountingSynced": true,
    "accountingSyncError": "string",
    "externalAccountingId": "string",
    "invoiceItems": [
      {
        "id": 0,
        "invoiceId": 0,
        "invoiceItemType": {
          "name": null,
          "handle": null
        },
        "sourceVariantId": 0,
        "cost": 0,
        "sku": "string",
        "title": "string",
        "quantity": 0,
        "perUnitCost": 0,
        "externalAccountingItemId": "string",
        "customFields": [
          null
        ]
      }
    ],
    "totalCreditCost": 0,
    "customFields": [
      {
        "id": 0,
        "name": "string",
        "value": "string"
      }
    ],
    "commission": 0,
    "vendorPayoutId": 0
  }
]
401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Source Invoices",
    "description": "This endpoint lists source invoices. The returned invoices will always be sorted by their `insertedAt` time ascending (oldest first).",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "filterPurchaseOrderId",
        "description": "Filter to only include invoices of a specific PO"
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterCreatedAfter",
        "description": "Filter to only include invoices created after a specific date-time"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "filterSourceId",
        "description": "Filter to only include invoices from a particular source. When using a source token this value will be ignored as it will be implicit to use the source tokens source ID"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "isAccountingSynced",
        "description": "Filter to only include invoices that have been synced to an Accounting Integration"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "isForSyncedAccountingPurchaseOrder",
        "description": "Filter to only include those tied to purchase orders that have been synced to an Accounting Integration. Does not relate to the whether or not the invoice has been synced."
      },
      {
        "schema": {
          "type": "integer",
          "default": 1
        },
        "in": "query",
        "name": "filterPageNumber",
        "description": "Current Page"
      },
      {
        "schema": {
          "type": "integer",
          "default": 20,
          "minimum": 1,
          "maximum": 100
        },
        "in": "query",
        "name": "filterPageSize",
        "description": "Number of entries per page"
      },
      {
        "schema": {
          "type": "array",
          "maxItems": 50,
          "example": "123,456,789",
          "uniqueItems": true,
          "items": {
            "type": "integer"
          }
        },
        "in": "query",
        "name": "ids",
        "description": "Finds elements matching these IDs. Max 50",
        "style": "form",
        "explode": false
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "hasAccountingSyncError",
        "description": "Filters returned \"invoices\" based on whether they encountered an accounting sync error during channel synchronization."
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/Invoice"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight